WordPress插件兼容PHP7.x需要注意和修改的问题

  • 内容
  • 评论
  • 相关

程序的不断更新迭代中,不知不觉才发现自己已经开始落后了,最近三个小伙伴一起开始了一个三年之约,所以都购置了新的云服务器,开始了我们各种的计划,那么紧接而来的就是配置服务器环境,这一次依然力求极致,所以在PHP版本上面选择了PHP7.x,虽然网站还在接入服务商备案审核中,但是已经来不及测试了一下WordPress。

首先必须值得肯定的是,WordPress程序本身是100%兼容支持PHP7.x的,而在WordPress站点中出现错误的往往都是你的插件或者主题不兼容PHP7.x,其中子凡目前正在使用的一个插件就没有很好的兼容,所以第一时间做了兼容和修复。同时也收集了一些关于WordPress插件兼容php7.x的一些相关问题作为分享。

1. mysql_escape_string() 函数改为 addslashes()

mysql_* 系列函数在php7里全部移除了,所以建议在所有文件里搜索一下 mysql_query, mysql_escape_, mysql_real_eacape 等函数。

2. split() 函数改为 explode()

3. 语法兼容

为函数定义添加默认值,例如:

public function options( $value = '' ) {...}
觉得有用,欢迎打赏!
微信打赏

评论

0条评论

发表评论

电子邮件地址不会被公开。 必填项已用*标注